## org.apache.bcel.generic
Class DUP2_X2

    java.lang.Object
      org.apache.bcel.generic.Instruction
          org.apache.bcel.generic.StackInstruction
              org.apache.bcel.generic.DUP2_X2

All Implemented Interfaces:
  Serializable, Cloneable

    public class DUP2_X2

extends StackInstruction

DUP2_X2 - Duplicate two top operand stack words and put four down

    Stack: ..., word4, word3, word2, word1 -> ..., word2, word1, word4, word3, word2, word1

Version:
  $Id: DUP2_X2.java 386056 2006-03-15 11:31:56Z tcurdt $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.bcel.generic.Instruction
`length, opcode`

Constructor Summary
`DUP2_X2()`

Method Summary
`void` `accept(Visitor v)` Call corresponding visitor method(s).

Methods inherited from class org.apache.bcel.generic.StackInstruction
`getType`

Methods inherited from class org.apache.bcel.generic.Instruction
`consumeStack, copy, dump, equals, getComparator, getLength, getName, getOpcode, initFromFile, produceStack, readInstruction, setComparator, toString, toString, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DUP2_X2

    public DUP2_X2()

Method Detail

### accept

    public void accept(Visitor v)

  Call corresponding visitor method(s). The order is: Call visitor methods of implemented interfaces first, then call methods according to the class hierarchy in descending order, i.e., the most specific visitXXX() call comes last.

  Specified by:
    `accept` in class `Instruction`
  Parameters:
    `v` - Visitor object

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.